<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidatorDocumentationRules']}</h2>
        <ui:decorate template="/xvalidation/common/browseRuleTemplate.xhtml">
            <ui:param name="managedBean" value="#{ruleDocumentationManager}"/>
            <ui:param name="displayStatusColumn" value="false"/>
            <ui:define name="navButtons">
                <div class="btn-group">
                    <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.Access']} <span class="caret"/>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.Validators']}"
                                               action="#{ruleDocumentationManager.listValidators()}"/>
                        </li>
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.ReferencedObjects_2']}"
                                               action="#{ruleDocumentationManager.listReferencedObjects()}"/>
                        </li>
                    </ul>
                </div>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>
